Subject: Re: [PATCH 05/13] Document the fsl, magic-packet property in gianfar nodes.

From: Segher Boessenkool <[email-masked]>
Date: Wed, 9 May 2007 16:33:12 +0200

>>>> As I previously wrote internally, it's only needed because some
>>>> versions of the device have it and some don't; what it really means
>>>> is that certain bits in certain registers are valid.

So have the driver detect this based on "compatible"
or "model".

> Further, is there already a standard description for WoL capability
> described in one of the OF binding documents.  Segher?

[Cc: me if you want me to answer, I was reading this
thread with the "d" key, you got lucky].

There is no standard wake-on-lan thing in any binding
as far as I know.  I don't see how it would be useful
anyway, it's all just the device driver's job as far
as I can see.

Segher